Skip to content
Primary navigation

Create group

POST/organization/groups

Creates a new group in the organization.

Body ParametersJSONExpand Collapse
name: string

Human readable name for the group.

minLength1
maxLength255
ReturnsExpand Collapse
id: string

Identifier for the group.

created_at: number

Unix timestamp (in seconds) when the group was created.

formatint64
is_scim_managed: boolean

Whether the group is managed through SCIM and controlled by your identity provider.

name: string

Display name of the group.

Create group

curl -X POST https://api.openai.com/v1/organization/groups \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json" \
  -d '{
      "name": "Support Team"
  }'
{
    "object": "group",
    "id": "group_01J1F8ABCDXYZ",
    "name": "Support Team",
    "created_at": 1711471533,
    "is_scim_managed": false
}
Returns Examples
{
    "object": "group",
    "id": "group_01J1F8ABCDXYZ",
    "name": "Support Team",
    "created_at": 1711471533,
    "is_scim_managed": false
}